// @flow
import React from 'react';
// $FlowFixMe
import { ScrollView, View } from 'react-native';
import type { storiesOf as StoriesOf } from '@storybook/react';
import { TextField } from '../../src/';

export default function (storiesOf: StoriesOf) {
  storiesOf('TextField', module)
    .addDecorator(story => <View style={{ flexDirection: 'row', padding: 12 }}>{story()}</View>)
    .add('textfield', () => (
      <ScrollView style={{ width: '100%' }}>
        <TextField label="Label" />
      </ScrollView>
    ));
}
