// @flow
/* eslint-disable react/no-array-index-key */
import React from 'react';
// $FlowFixMe
import { ScrollView, Text, View } from 'react-native';
import type { storiesOf as StoriesOf } from '@storybook/react';
import { Elevation } from '../../src/';

export default function (storiesOf: StoriesOf) {
  storiesOf('Elevation', module)
    .add('levels', () => (
      <ScrollView style={{ width: '100%' }}>
        <View style={{ flexDirection: 'row', padding: 12, flexWrap: 'wrap' }}>
          { (new Array(25)).fill('').map((item, index) => (
            <View style={{ margin: 32 }} key={index}>
              <Text style={{ width: 100, marginBottom: 16, textAlign: 'center' }}>
                level {index}
              </Text>
              <Elevation level={index}>
                <View style={{ width: 100, height: 48 }} />
              </Elevation>
            </View>
          ))}
        </View>
      </ScrollView>
    ));
}
