// @flow
import { getStorybookUI, configure, storiesOf } from '@storybook/react-native';
import { setOptions } from '@storybook/addon-options';
// $FlowFixMe
import { AppRegistry } from 'react-native';
import index from '../';

function loadStories() {
  index(storiesOf);
}

setTimeout(() => setOptions({
  name: 'React Native Web Material',
  url: '#',
  showAddonPanel: false,
}), 1000);

configure(loadStories, module);

AppRegistry.registerComponent('reactNativeWebMaterial',
  () => getStorybookUI({ port: 7007, host: 'localhost' }));
